#pragma once
#include "Entity.h"
#define CS_GIANTMAGICBALL_CREATENAME L"CS_giantmagicball"
class CS_GiantMagicBall :
    public ActionEntity
{
public:
    CS_GiantMagicBall();
    void Step() override;
    void DeltaTime(float deltaTime) override;//»æÖÆ¸üÐÂ
    void SetState(std::wstring stateName, int lr) override;
    std::vector<PenVertex> fillList_set;
    std::vector<PenVertex> fillList_set_last;
    float inner_r = 1 * 16.0f;
    bool bCharge = false;
    int charge_counter = 0;
    float inner_inc = 0;
    int fade_counter = 0;
    bool bStop = false;
    bool bSetTarget = false;
    bool bAccDown = false;
    std::weak_ptr<Entity> energyFrom;
};

std::shared_ptr<Entity> CreateCS_GiantMagicBall();